"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.execAll = execAll;
Object.defineProperty(exports, "flag", {
  enumerable: true,
  get: function get() {
    return _flag["default"];
  }
});
exports["default"] = void 0;

var _child_process = require("child_process");

var _flag = _interopRequireDefault(require("./flag"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function buildCommand(commands, _ref) {
  var _ref$parallel = _ref.parallel,
      parallel = _ref$parallel === void 0 ? false : _ref$parallel;
  var operator = parallel ? "&" : "&&";

  if (Array.isArray(commands)) {
    return commands.reduce(function (retval, command) {
      return "".concat(retval ? "".concat(retval, " ").concat(operator, " ") : "").concat((0, _flag["default"])(command.command, command.flags));
    }, "");
  } else {
    return (0, _flag["default"])(commands.command, commands.flags);
  }
}

function execAll(commands) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  return exec(buildCommand(commands, options));
}

var exec = function exec(command, flags) {
  var commandString = (0, _flag["default"])(command, flags);
  return (0, _child_process.execSync)(commandString, {
    stdio: "inherit"
  });
};

var _default = exec;
exports["default"] = _default;